SearchAuditEvents
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.PaperSecretAdmin.SearchAuditEvents(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.PaperSecretAdminServiceSearchAuditEventsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.paperSecretAdmin.searchAuditEvents();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/secrets-admin/audit_events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actorEmail": "<string>",
"actorUserId": "<string>",
"clientIp": "<string>",
"pageSize": 123,
"pageToken": "<string>",
"vaultId": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/secrets-admin/audit_events"
payload = {
"actorEmail": "<string>",
"actorUserId": "<string>",
"clientIp": "<string>",
"pageSize": 123,
"pageToken": "<string>",
"vaultId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actorEmail: '<string>',
actorUserId: '<string>',
clientIp: '<string>',
pageSize: 123,
pageToken: '<string>',
vaultId: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/secrets-admin/audit_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{}
],
"nextPageToken": "<string>"
}Secrets Admin
Search Audit Events
SearchAuditEvents returns audit events for paper secrets. Can filter by vault_id, actor (user ID or email), client IP.
POST
/
api
/
v1
/
search
/
secrets-admin
/
audit_events
SearchAuditEvents
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.PaperSecretAdmin.SearchAuditEvents(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.PaperSecretAdminServiceSearchAuditEventsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.paperSecretAdmin.searchAuditEvents();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The PaperSecretAdminServiceSearchAuditEventsRequest message.
Filter by external email (partial match via full-text search)
Filter by C1 user ID (internal users)
Filter by client IP (exact match)
The pageSize field.
The pageToken field.
Filter by specific vault
Was this page helpful?
⌘I